Bug 574676 - Review Request: perl-Pod-Coverage-Moose - Pod::Coverage extension for Moose
Summary: Review Request: perl-Pod-Coverage-Moose - Pod::Coverage extension for Moose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 07:54 UTC by Jan Klepek
Modified: 2010-04-09 03:58 UTC (History)
2 users (show)

Fixed In Version: perl-Pod-Coverage-Moose-0.02-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:26:00 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jan Klepek 2010-03-18 07:54:52 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-Pod-Coverage-Moose.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-Pod-Coverage-Moose-0.02-1.fc11.src.rpm
Description: 
When using Pod::Coverage in combination with Moose, it will report any
method imported from a Role. This is especially bad when used in
combination with Test::Pod::Coverage, since it takes away its ease of use.
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2060230

Comment 1 Marcela Mašláňová 2010-03-18 15:45:30 UTC
Instead of PERL_INSTALL_ROOT use DESTDIR. This bug wasn't fixed in cpanspec yet.

OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
   afb93e47445f0d4f125943da9e70953f
OK successful koji compilation.
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.

Comment 2 Jan Klepek 2010-03-23 06:09:33 UTC
will change in initial import in cvs


New Package CVS Request
=======================
Package Name: perl-Pod-Coverage-Moose
Short Description: Pod::Coverage extension for Moose
Owners: hpejakle
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-03-24 03:27:20 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-03-24 08:53:40 UTC
perl-Pod-Coverage-Moose-0.02-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc12

Comment 5 Fedora Update System 2010-03-24 08:53:45 UTC
perl-Pod-Coverage-Moose-0.02-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc13

Comment 6 Fedora Update System 2010-03-24 08:53:49 UTC
perl-Pod-Coverage-Moose-0.02-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc11

Comment 7 Fedora Update System 2010-03-24 23:34:40 UTC
perl-Pod-Coverage-Moose-0.02-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Coverage-Moose'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc12

Comment 8 Fedora Update System 2010-03-24 23:37:05 UTC
perl-Pod-Coverage-Moose-0.02-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Coverage-Moose'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc11

Comment 9 Fedora Update System 2010-03-24 23:41:00 UTC
perl-Pod-Coverage-Moose-0.02-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Coverage-Moose'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Pod-Coverage-Moose-0.02-1.fc13

Comment 10 Fedora Update System 2010-04-09 01:25:55 UTC
perl-Pod-Coverage-Moose-0.02-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 01:38:05 UTC
perl-Pod-Coverage-Moose-0.02-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 03:58:37 UTC
perl-Pod-Coverage-Moose-0.02-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.